Bug 606459 - (CVE-2010-1637) CVE-2010-1637 SquirrelMail: Mail Fetch plugin -- port-scans via non-standard POP3 server ports
CVE-2010-1637 SquirrelMail: Mail Fetch plugin -- port-scans via non-standard ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20100520,reported=2...
: Security
Depends On: 606462 737980 737981 737982 833983
Blocks: 720699
  Show dependency treegraph
 
Reported: 2010-06-21 12:51 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-08 23:46:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-06-21 12:51:48 EDT
TEHTRI-Security reported:
  [1] http://conference.hitb.org/hitbsecconf2010dxb/materials/D1%20-%20Laurent%20Oudot%20-%20Improving%20the%20Stealthiness%20of%20Web%20Hacking.pdf#page=69

  a deficiency in the way SquirrelMail's Mail Fetch plugin retrieved
user's electronic mail from POP3 servers using non-standard port numbers.
An authenticated, remote user could use this flaw to conduct port-scan
attacks, potentially leading to disclosure of the network typography
(DNS scan) and information about available services (port scan), when
this information was intended to be protected by firewall.

Issue severity note:
--------------------
This flaw to be successfully exploited requires:
  a, the SquirrelMail Mail Fetch plug-in to be prior activated by site
     administrator,
  b, attacker to have valid SquirrelMail service account.

Upstream patch:
  [2] http://squirrelmail.svn.sourceforge.net/squirrelmail/?rev=13951&view=rev

References:
  [3] http://www.squirrelmail.org/security/issue/2010-06-21
  [4] http://www.openwall.com/lists/oss-security/2010/05/20/4
  [5] http://www.openwall.com/lists/oss-security/2010/05/25/9
Comment 1 Jan Lieskovsky 2010-06-21 13:02:21 EDT
This issue affects the versions of the squirrelmail package,
as shipped with Red Hat Enterprise Linux 3, 4, and 5.

This issue affects the versions of the squirrelmail package,
as shipped with Fedora release of 11, 12, and 13.
Comment 2 Jan Lieskovsky 2010-06-21 13:03:30 EDT
Created squirrelmail tracking bugs for this issue

Affects: fedora-all [bug 606462]
Comment 4 Vincent Danen 2010-06-21 16:29:43 EDT
Statement:

The Red Hat Security Response Team has rated this issue as having low
security impact, a future update may address this flaw.
Comment 5 Fedora Update System 2010-06-22 06:47:08 EDT
squirrelmail-1.4.20-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.20-2.fc11
Comment 6 Fedora Update System 2010-06-22 06:47:29 EDT
squirrelmail-1.4.20-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.20-3.fc12
Comment 7 Fedora Update System 2010-06-22 06:48:48 EDT
squirrelmail-1.4.20-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.20-3.fc13
Comment 8 Fedora Update System 2010-06-22 13:13:04 EDT
squirrelmail-1.4.20-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-06-22 13:16:20 EDT
squirrelmail-1.4.20-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-06-22 13:17:36 EDT
squirrelmail-1.4.20-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Vincent Danen 2012-02-07 18:11:03 EST
Description CVE-2010-1637:

A flaw was found in the SquirrelMail Mail Fetch plug-in. If an administrator enabled this plug-in, a SquirrelMail user could use this flaw to port scan the local network the server was on.
Comment 13 errata-xmlrpc 2012-02-08 14:47:36 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2012:0103 https://rhn.redhat.com/errata/RHSA-2012-0103.html

Note You need to log in before you can comment on or make changes to this bug.